Subject: Re: bug#63187: 30.0.50; Tail of longer lines painted after end of nearby lines on macOS

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Apr 2023 13:33:03 +0300

> From: Aaron Jensen <[email-masked]>
> Date: Sun, 30 Apr 2023 06:10:22 -0400
> 
> I don't have a good recipe for this. It has been happening occasionally
> for quite some time (the attached screenshots are from 2021, but the
> same thing is still occurring). Every once in a while, a part of the
> Emacs frame gets into a state where glyphs from nearby lines can be
> painted after the tail end of other lines. This seems to be related to
> scrolling (that is, while scrolling, the glyphs replicate onto nearby
> lines, but when scrolling back they stay. I usually have to force a full
> repaint to get the glyphs to disappear.

Thanks, but this is impossible to handle without some kind of recipe,
even if it only reproduces sometimes.

FWIW, it never happens for me, so maybe it's macOS-specific.